Net::DNS::RR::TKEY(3pm)

NAME
Net::DNS::RR::TKEY - DNS TKEY resource record

SYNOPSIS
        use Net::DNS;
        $rr = new Net::DNS::RR('example.com IN TKEY ... ');

DESCRIPTION
Class for DNS TSIG Key (TKEY) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  algorithm
        $algorithm = $rr->algorithm;
        $rr->algorithm( $algorithm );

The algorithm name is in the form of a domain name with the same meaning as in [RFC 2845]. The algorithm determines how the secret keying material agreed to using the TKEY RR is actually used to derive the algorithm specific key.

  inception
        $inception = $rr->inception;
        $rr->inception( $inception );

Time expressed as the number of non-leap seconds modulo 2**32 since the beginning of January 1970 GMT.

  expiration
        $expiration = $rr->expiration;
        $rr->expiration( $expiration );

Time expressed as the number of non-leap seconds modulo 2**32 since the beginning of January 1970 GMT.

  mode
        $mode = $rr->mode;
        $rr->mode( $mode );

The mode field specifies the general scheme for key agreement or the purpose of the TKEY DNS message, as defined in [RFC2930(2.5)].

  error
        $error = $rr->error;
        $rr->error( $error );

The error code field is an extended RCODE.

  key
        $key = $rr->key;
        $rr->key( $key );

Sequence of octets representing the key exchange data. The meaning of this data depends on the mode.

  other
        $other = $rr->other;
        $rr->other( $other );

Content not defined in the [RFC2930] specification but may be used in future extensions.

COPYRIGHT
Copyright (c)2000 Andrew Tridgell.

All rights reserved.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

LICENSE
Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the original copyright notices appear in all copies and that both copyright notice and this permission notice appear in supporting documentation, and that the name of the author not be used in advertising or publicity pertaining to distribution of the software without specific prior written permission.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

SEE ALSO
perl Net::DNS Net::DNS::RR RFC2930 <https://iana.org/go/rfc2930>